package blanco.plugin.strutsee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.plugin.strutsee.editors.BlancoStrutsEEEditor;

public class BlancoStrutsEEWizardPage99 extends WizardPage {

    private ISelection selection;

    public BlancoStrutsEEWizardPage99(ISelection selection) {
        super("wizardPage");
        setTitle("blancoStruts Enterprise Edition プラグイン利用支援ウィザードの完了");
        this.selection = selection;
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoStruts Enterprise Edition プラグイン利用支援ウィザードは これで完了しました。");
        new Label(container, SWT.NONE)
                .setText("  1.ウィザードを完了後に 「blancoStruts設定ファイル エディタ」が表示されます。");
        new Label(container, SWT.NONE).setText("    この画面は "
                + BlancoStrutsEEEditor.TARGET_FILENAME
                + "ファイルのエディタプログラムに相当します。");
        new Label(container, SWT.NONE).setText("  2.画面表示に従って操作を進めてください。");

        setControl(container);
    }
}